package com.dxhy.erp.entity.sdny;

import lombok.Data;

/**
 * 微信企业用户表同步
 * @author guoker
 * @date 2020-09-23 16:09:30
 */
@Data
public class BxwxEnterpriseUserEntity {

    private String id;

    private String userId;

    private String userName;

    private String password;

    private String phone;

    private String email;

    /**
     * 员工身份证号
     */
    private String identityNumber;

    /**
     * 证件类型(0身份证 9其它证件)
     */
    private String identityType;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 是否白名单用户(Y/N)
     */
    private String isWhiteList;

    /**
     * 可报企业代码集合串
     */
    private String enterpriseCodeList;

    /**
     * 可报销企业名称集合串
     */
    private String enterpriseName;

    /**
     * 是否有效(0无 1有)
     */
    private String isValid;

    /**
     * 客户端用户id
     */
    private String clientUserId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 逻辑删除标记(0显示1隐藏)
     */
    private String delFlag;

    /**
     * 企业标识
     */
    private String enterpriseFlag;

    /**
     * 同步过来的唯一id，用来区分userId是否变化
     */
    private String syncOnlyId;
}
